// api接口
// import Vue from 'vue'
import axios from 'axios'
import Qs from 'qs'
import { Toast, Indicator } from 'mint-ui'
import router from '@/router'
/* eslint-disable */

// const API_URL = 'http://192.168.203.68:8888'
// const API_URL = 'http://121.40.121.1:8888'
// const API_URL = 'http://140.143.229.191:8888'
const API_URL = 'http://152.136.165.167:8888'
axios.defaults.baseURL = API_URL

// 响应拦截器
axios.interceptors.response.use(
  response => {
    if (response.status === 200) {
      return Promise.resolve(response);
    } else {
      return Promise.reject(response);
    }
  },
  error => {
    Indicator.close()
    Toast('网络繁忙')
    if (error.toString().indexOf('Network Error')>0){
      console.log('网络通信失败')
      router.replace({
        path: '/login',
        query: {
          redirect: router.currentRoute.fullPath
        }
      });
    }
    return Promise.reject(error.response);
  })

let api = {
  // 发送验证码
  login(params) {
    let postData = Qs.stringify(params)
    return axios.post('/answer/api/login', postData)
  },
  async user(params) {
    let postData = Qs.stringify(params)
    return  axios.post('/answer/api/user', postData)
  },
  anwser(params) {
    let postData = Qs.stringify(params)
    console.log(postData)
    return axios.post('/answer/api/anwser', postData,{headers: {'Content-Type': 'application/x-www-form-urlencoded'}})
  },
  async getAnwserInfo(params) {
    let postData = Qs.stringify(params)
    return  axios.post('/answer/api/getAnwserInfo', postData)
  },
  stopAnwser(params) {
    let postData = Qs.stringify(params)
    return axios.post('/answer/api/stop', postData)
  },
  getUserOnline(params) {
    let postData = Qs.stringify(params)
    return axios.post('/answer/api/user/onlineList', postData)
  },
  logOut(params) {
    let postData = Qs.stringify(params)
    return axios.post('/answer/api/logOut', postData)
  },
  stopAll() {
    return axios.post('/answer/api/stopAll')
  },
  exportExcel(params) {
    let postData = Qs.stringify(params)
    return axios.post('/answer/api/exportExcel', postData)
  },
  ranking(params) {
    let postData = Qs.stringify(params)
    return axios.get('/answer/api/ranking?'+postData)
  },
  search(params) {
    let postData = Qs.stringify(params)
    return axios.post('/answer/api/search', postData)
  },
  importExcel(params) {
    // let postData = Qs.stringify(params)
    return axios.post('/answer/api/importExcel', params, {headers: { 'Content-Type': 'multipart/form-data;boundary = ' + new Date().getTime()
      }})
  },
  getLimitTime(){
    return axios.get('/answer/api/getLimitTime')
  },
  updateTime(params) {
    let postData = Qs.stringify(params)
    return axios.post('/answer/api/updateTime',postData)
  },
  getUserStatus(params){
    let postData = Qs.stringify(params)
    return axios.get('/answer/api/forbiddenStatus?'+postData)
  },
  updateUserStatus(params){
    let postData = Qs.stringify(params)
    return axios.post('/answer/api/forbiddenStatus',postData)
  },
  resetPassword(params){
    let postData = Qs.stringify(params)
    return axios.post('/answer/api/resetPassword',postData)
  },
  getAnswerJob(params){
    return axios.post('/answer/api/job/find',params)
  },
  saveAnswerJob(params){
    return axios.post('/answer/api/job/save',params)
  },

  delAnswerJob(id){
    return axios.delete('/answer/api/job//del/'+id)
  },
}

export default function (Vue) {
  Vue.prototype.$api = api
  Vue.prototype.$fetch = axios
}
